package com.wechat.model.requestDto;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotBlank;

public class ChangPReq implements Serializable{
	
	private static final long serialVersionUID = 1L;
	
	@NotNull(message="用户名不能为空|Username can not be empty")
	private String userCode;
	
	@NotBlank(message="旧密码不能为空|Old password cannot be empty")
	private String oldPassword;
	
	@NotBlank(message="新密码不能为空|New password cannot be empty")
	private String newPassword;
	
	public String getUserCode() {
		return userCode;
	}
	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}
	public String getOldPassword() {
		return oldPassword;
	}
	public void setOldPassword(String oldPassword) {
		this.oldPassword = oldPassword;
	}
	public String getNewPassword() {
		return newPassword;
	}
	public void setNewPassword(String newPassword) {
		this.newPassword = newPassword;
	}
	
}
